Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::BinaryReader Class Reference

バイナリリーダ More...

`#include <BinaryReader.h>`

Inheritance diagram for Lamp::BinaryReader:

List of all members.

## Public Member Functions
virtual | ~BinaryReader ()
| デストラクタ
virtual BinaryReader * | cloneBinaryReader ()=0
| バイナリリーダの複製
virtual Reader * | cloneReader ()
| リーダの複製
virtual bool | readBool ()
| boolの読み込み
virtual char | readChar ()
| charの読み込み
virtual u_char | readUChar ()
| u_charの読み込み
virtual short | readShort ()
| shortの読み込み
virtual u_short | readUShort ()
| u_shortの読み込み
virtual int | readInt ()
| intの読み込み
virtual u_int | readUInt ()
| u_intの読み込み
virtual float | readFloat ()
| floatの読み込み
virtual double | readDouble ()
| doubleの読み込み
virtual const String | readString ()
| Stringの読み込み.
virtual void | readArray (void *array, int elementSize, int elementCount)
| 配列の読み込み
## Protected Member Functions
| BinaryReader ()
| コンストラクタ

## Detailed Description

バイナリリーダ

Definition at line 36 of file BinaryReader.h.

## Member Function Documentation

virtual BinaryReader* Lamp::BinaryReader::cloneBinaryReader | ( |  | ) | `[pure virtual]`

| バイナリリーダの複製 Returns: 複製されたバイナリリーダ Implemented in Lamp::BinaryFileReader, and Lamp::BinaryMemoryReader. Referenced by cloneReader().

virtual Reader* Lamp::BinaryReader::cloneReader | ( |  | ) | `[inline, virtual]`

| リーダの複製 Returns: 複製されたリーダ Implements Lamp::Reader. Definition at line 53 of file BinaryReader.h. References cloneBinaryReader().

void Lamp::BinaryReader::readArray | ( | void * | array,
|  | int | elementSize,
|  | int | elementCount
| ) | `[virtual]`

  | 配列の読み込み Parameters:
  array | 読み込み先配列
  elementSize | 要素のサイズ
  elementCount | 要素の数
Definition at line 115 of file BinaryReader.cpp. References Lamp::Reader::readBytes().

bool Lamp::BinaryReader::readBool | ( |  | ) | `[virtual]`

| boolの読み込み Returns: 読み込んだ値 Definition at line 40 of file BinaryReader.cpp. References Lamp::Reader::readBytes(). Referenced by Lamp::BinaryAnimationLoader::readAnimationSet(), Lamp::BinarySceneLoader::readBasicMaterialLink(), Lamp::BinaryAnimationLoader::readCameraAnimation(), Lamp::BinaryAnimationLoader::readCameraAnimationData(), Lamp::BinarySceneLoader::readCharacterMesh(), Lamp::BinarySceneLoader::readCharacterModel(), Lamp::BinaryAnimationLoader::readCharacterModelAnimation(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationData(), Lamp::BinarySceneLoader::readFog(), Lamp::BinarySceneLoader::readLight(), Lamp::BinarySceneLoader::readLODSceneNode(), Lamp::BinarySceneLoader::readMaterial(), Lamp::BinarySceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshLink(), Lamp::BinarySceneLoader::readRigidMesh(), Lamp::BinarySceneLoader::readSceneNode(), Lamp::BinaryAnimationLoader::readSceneNodeAnimation(), Lamp::BinaryAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinarySceneLoader::readStandardModel().

char Lamp::BinaryReader::readChar | ( |  | ) | `[virtual]`

| charの読み込み Returns: 読み込んだ値 Definition at line 47 of file BinaryReader.cpp. References Lamp::Reader::readBytes().

double Lamp::BinaryReader::readDouble | ( |  | ) | `[virtual]`

| doubleの読み込み Returns: 読み込んだ値 Definition at line 96 of file BinaryReader.cpp. References Lamp::Reader::readBytes().

float Lamp::BinaryReader::readFloat | ( |  | ) | `[virtual]`

| floatの読み込み Returns: 読み込んだ値 Definition at line 89 of file BinaryReader.cpp. References Lamp::Reader::readBytes(). Referenced by Lamp::BinarySceneLoader::readBasicMaterial(), Lamp::BinarySceneLoader::readFog(), Lamp::BinarySceneLoader::readLODSceneNode(), Lamp::BinarySceneLoader::readMaterial(), Lamp::BinarySceneLoader::readMeshData(), Lamp::BinarySceneLoader::readPointLight(), Lamp::BinaryAnimationLoader::readQuaternionLinearInterpolator(), Lamp::BinaryAnimationLoader::readRotationConstantInterpolator(), Lamp::BinaryAnimationLoader::readVectorConstantInterpolator(), and Lamp::BinaryAnimationLoader::readVectorLinearInterpolator().

int Lamp::BinaryReader::readInt | ( |  | ) | `[virtual]`

| intの読み込み Returns: 読み込んだ値 Definition at line 75 of file BinaryReader.cpp. References Lamp::Reader::readBytes(). Referenced by Lamp::BinarySceneLoader::load(), Lamp::BinaryAnimationLoader::load(), Lamp::LampInput::playLog(), Lamp::BinaryAnimationLoader::readAnimationSetLink(), Lamp::BinarySceneLoader::readBasicMaterial(), Lamp::JoystickState::readBinary(), Lamp::BinaryAnimationLoader::readCameraAnimationData(), Lamp::BinarySceneLoader::readCharacterModel(), Lamp::BinaryAnimationLoader::readCharacterModelAnimation(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationData(), Lamp::BinaryAnimationLoader::readEulerArrayInterpolator(), Lamp::BinarySceneLoader::readFog(), Lamp::BinarySceneLoader::readLightList(), Lamp::BinarySceneLoader::readLODSceneNode(), Lamp::BinarySceneLoader::readMaterial(), Lamp::BinarySceneLoader::readMaterialLinkList(), Lamp::BinarySceneLoader::readMaterialList(), Lamp::BinarySceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshList(), Lamp::BinarySceneLoader::readModelLink(), Lamp::BinarySceneLoader::readModelList(), Lamp::BinaryAnimationLoader::readQuaternionArrayInterpolator(), Lamp::BinaryAnimationLoader::readQuaternionLinearInterpolator(), Lamp::BinaryAnimationLoader::readRotationInterpolator(), Lamp::BinaryAnimationLoader::readSceneNodeAnimationData(), Lamp::BinarySceneLoader::readSceneNodeLink(), Lamp::BinarySceneLoader::readSceneNodeList(), Lamp::BinarySceneLoader::readString(), Lamp::BinaryAnimationLoader::readString(), Lamp::BinarySceneLoader::readSurfaceTexture(), Lamp::BinarySceneLoader::readTextureLink(), Lamp::BinarySceneLoader::readTextureList(), Lamp::BinaryAnimationLoader::readVectorArrayInterpolator(), Lamp::BinaryAnimationLoader::readVectorInterpolator(), and Lamp::BinaryAnimationLoader::readVectorLinearInterpolator().

short Lamp::BinaryReader::readShort | ( |  | ) | `[virtual]`

| shortの読み込み Returns: 読み込んだ値 Definition at line 61 of file BinaryReader.cpp. References Lamp::Reader::readBytes(). Referenced by Lamp::TargaLoader::loadHeader(), Lamp::MouseState::readBinary(), and Lamp::JoystickState::readBinary().

const String Lamp::BinaryReader::readString | ( |  | ) | `[virtual]`

| Stringの読み込み. Returns: 読み込んだ文字列 Definition at line 103 of file BinaryReader.cpp. References Lamp::Reader::readBytes(). Referenced by Lamp::LampInput::playLog().

u_char Lamp::BinaryReader::readUChar | ( |  | ) | `[virtual]`

| u_charの読み込み Returns: 読み込んだ値 Definition at line 54 of file BinaryReader.cpp. References Lamp::Reader::readBytes(), and u_char. Referenced by Lamp::TargaLoader::loadHeader(), Lamp::MouseState::readBinary(), Lamp::KeyboardState::readBinary(), and Lamp::BinarySceneLoader::readMeshData().

u_int Lamp::BinaryReader::readUInt | ( |  | ) | `[virtual]`

| u_intの読み込み Returns: 読み込んだ値 Definition at line 82 of file BinaryReader.cpp. References Lamp::Reader::readBytes(), and u_int. Referenced by Lamp::JoystickState::readBinary(), Lamp::BinarySceneLoader::readHeader(), Lamp::BinaryAnimationLoader::readHeader(), Lamp::BinarySceneLoader::readLight(), and Lamp::BinarySceneLoader::readMaterial().

u_short Lamp::BinaryReader::readUShort | ( |  | ) | `[virtual]`

| u_shortの読み込み Returns: 読み込んだ値 Definition at line 68 of file BinaryReader.cpp. References Lamp::Reader::readBytes(), and u_short. Referenced by Lamp::BinarySceneLoader::readMeshData().

The documentation for this class was generated from the following files:

- BinaryReader.h
- BinaryReader.cpp